QGIS Application - Bug report #10404
Processing module error
2014-05-30 03:17 PM - Rhenriques Henriques

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: MacOSX Mavericks Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18820
Description

The latest processing module (2.2.0-2) broke functionality in the QGIS stable version (2.2) in MacOSX.
When we try to use any module (Saga, Orfeo or any other), the module stops with the following error:

An error has occured while executing Python code:

Traceback (most recent call last):
File "/Users/xxxxxx/.qgis2/python/plugins/processing/gui/AlgorithmExecutionDialog.py", line 265, in accept
command = self.alg.getAsCommand()
File "/Users/xxxxxx/.qgis2/python/plugins/processing/core/GeoAlgorithm.py", line 496, in getAsCommand
s += out.getValueAsCommandLineParameter() + ','
File "/Users/xxxxxx/python/plugins/processing/outputs/Output.py", line 62, in getValueAsCommandLineParameter

return
UnicodeEncodeError: 'ascii' codec can't encode character u\\xfa' in position 63: ordinal not in range(128)

+ str(self.value) +

Was working perfectly before. Any ideas?
Cheers

History

#1 - 2014-05-30 04:14 PM - Rhenriques Henriques

Giovanni

Just saw that you had a similar error (10403). Mine is a little bit different but | suppose that both requests have to do with similar things. Can these requests

be merged?

If 1 use the "Save to temporary file" option the following sentence appears:

"coercing to Unicode: need string or buffer, QPyNullVariant found See log for more details"

Clearly dealing with "unicode" seems to be the problem.

#2 - 2014-05-30 04:15 PM - Rhenriques Henriques

- Assignee set to Victor Olaya

#3 - 2014-05-31 07:49 AM - Rhenriques Henriques

- File before.png added
- File after.png added
Another strange bug, that probably should be a new issue, is that the GRASS, SAGA and ORFEO modules, when a function is opened after an application
startup, says that the module is not installed (see before image attached). If we go to the processing module options and disable and enable again the
"Activation" button in each module, the functions become available (see after image attached).

#4 - 2014-05-31 08:06 AM - Giovanni Manghi
- Status changed from Open to Feedback

please try qgis master (remove also ~/.qgis2/python/plugins/processing).

#5 - 2014-05-31 09:50 AM - Rhenriques Henriques
Hi Giovanni
Any idea how | can do that under MacOSX Mavericks? The only available version beyond 2.2 stable is compiled by Larry Shaffer (qgis.dakotacarto.com)
and it is version 2.3. This version, according to Larry, does not include SAGA, ORFEOQ or any other module of the processing Add-in (only GDAL ones).
My main interest is also to have work done, so it's important to have a stable and working version. If the errors could be patched in this version, by
substituting faulty models, better.
Cheers
#6 - 2014-05-31 10:04 AM - Giovanni Manghi
Rhenriques Henriques wrote:

Hi Giovanni

Any idea how | can do that under MacOSX Mavericks?
I don't have a Mac so | cannot say. Anyway it would help if you can help us for example by testing QGIS at the same time in a Linux/Windows Virtual
Machine, this would help understand if certain issues are Mac only. We can eventually speak about this at the QGIS user meeting this Monday in Coimbra
or just phone me.
#7 - 2014-05-31 12:42 PM - Rhenriques Henriques
Hi Giovanni
I've installed QGIS 2.3, compiled by Larry Shaffer. Somehow, it can use the SAGA and ORFEO modules from the stable QGIS (same path in processing
module maybe). Apparently, the 2.3 version does not show the same problem. We also have to deactivate and activate again a module, from the
processing options, for getting all modules to work (probably a new bug). However, the error in the top of this message does not show up, at least until
now.
Unfortunately, due to demanding work schedule, | will not be able to go to Coimbra. | would certainly like to.
Is there any slight possibility that you are confusing me with someone else? ;-)

| do not have your phone :-)

Best Regards
#8 - 2014-06-11 08:53 AM - Jiirgen Fischer
- Category set to 94

#9 - 2014-06-28 07:36 AM - Jiirgen Fischer
- Target version changed from Version 2.2 to Future Release - Lower Priority

#10 - 2014-10-31 03:04 PM - Jiirgen Fischer

- Status changed from Feedback to Closed
- Resolution set to fixed/implemented

apparently fixed.

#11 - 2015-06-07 04:33 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
